Bug 291581 - nm-applet segfaulting during gnome-keyring operation
nm-applet segfaulting during gnome-keyring operation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-09-14 16:31 EDT by Zack Cerza
Modified: 2013-01-09 23:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 13:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2007-09-14 16:31:06 EDT
Description of problem:
I'm thinking this is why nm-applet isn't present when I login. SELinux is
currently disabled.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.5-9.fc8
NetworkManager-gnome-0.6.5-9.fc8

Additional info:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208666352 (LWP 5787)]
0x0805bd4c in nmi_dbus_get_network_key_callback (
    result=GNOME_KEYRING_RESULT_OK, found_list=0x0, data=0x8b65e60)
    at applet-dbus-info.c:117
117                     nm_gconf_wso_set_key (gconf_wso, found->secret, strlen
(found->secret));
(gdb) t a a bt

Thread 2 (Thread -1208666352 (LWP 5787)):
#0  0x0805bd4c in nmi_dbus_get_network_key_callback (
    result=GNOME_KEYRING_RESULT_OK, found_list=0x0, data=0x8b65e60)
    at applet-dbus-info.c:117
#1  0x0057db5d in ?? () from /usr/lib/libgnome-keyring.so.0
#2  0x0057f089 in ?? () from /usr/lib/libgnome-keyring.so.0
#3  0x00c9792d in g_io_unix_dispatch (source=0x8b68db8, callback=0x57efa0, 
    user_data=0x883e4c8) at giounix.c:162
#4  0x00c6817c in IA__g_main_context_dispatch (context=0x882bb98)
    at gmain.c:2061
#5  0x00c6b5bf in g_main_context_iterate (context=0x882bb98, block=1, 
    dispatch=1, self=0x8805498) at gmain.c:2694
#6  0x00c6b969 in IA__g_main_loop_run (loop=0x886fbb0) at gmain.c:2898
#7  0x0074e714 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#8  0x0804efa1 in main (argc=Cannot access memory at address 0x1
) at main.c:67
#9  0x00d330f0 in __libc_start_main (main=0x804ee80 <main>, argc=1, 
    ubp_av=0xbfe79e94, init=0x8069340 <__libc_csu_init>, 
    fini=0x8069330 <__libc_csu_fini>, rtld_fini=0x11e560 <_dl_fini>, 
    stack_end=0xbfe79e8c) at libc-start.c:220
#10 0x0804edc1 in _start ()

Thread 1 (process 5787):
---Type <return> to continue, or q <return> to quit---
#0  0x0805bd4c in nmi_dbus_get_network_key_callback (
    result=GNOME_KEYRING_RESULT_OK, found_list=0x0, data=0x8b65e60)
    at applet-dbus-info.c:117
#1  0x0057db5d in ?? () from /usr/lib/libgnome-keyring.so.0
#2  0x0057f089 in ?? () from /usr/lib/libgnome-keyring.so.0
#3  0x00c9792d in g_io_unix_dispatch (source=0x8b68db8, callback=0x57efa0, 
    user_data=0x883e4c8) at giounix.c:162
#4  0x00c6817c in IA__g_main_context_dispatch (context=0x882bb98)
    at gmain.c:2061
#5  0x00c6b5bf in g_main_context_iterate (context=0x882bb98, block=1, 
    dispatch=1, self=0x8805498) at gmain.c:2694
#6  0x00c6b969 in IA__g_main_loop_run (loop=0x886fbb0) at gmain.c:2898
#7  0x0074e714 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#8  0x0804efa1 in main (argc=Cannot access memory at address 0x1
) at main.c:67
#9  0x00d330f0 in __libc_start_main (main=0x804ee80 <main>, argc=1, 
    ubp_av=0xbfe79e94, init=0x8069340 <__libc_csu_init>, 
    fini=0x8069330 <__libc_csu_fini>, rtld_fini=0x11e560 <_dl_fini>, 
    stack_end=0xbfe79e8c) at libc-start.c:220
#10 0x0804edc1 in _start ()
0x0805bd4c      117                     nm_gconf_wso_set_key (gconf_wso,
found->secret, strlen (found->secret));
Comment 1 Jesse Keating 2007-09-17 12:41:54 EDT
I'm seeing this on x86_64, with a keyring created post F8 Test2.  If I remove
the gconf entry for the WAP, restart NetworkManager service, and also remove the
keyrings, I will get prompted to supply the info.  Denying NM from adding
content to the keyring seems to help, temporarily.

I've noticed other applications having issues with the keyring, but the segfault
seems particular to nm-applet.
Comment 2 Matthias Clasen 2007-10-03 12:54:08 EDT
The stacktrace was produced by NetworkManager 0.6.5
Have you seen the same crash with NM 0.7 ?
Comment 3 Zack Cerza 2007-10-03 13:53:24 EDT
Nope. Will reopen if I do later.

Note You need to log in before you can comment on or make changes to this bug.